Package Gnumed :: Package timelinelib :: Module monitoring :: Class Monitoring |
[frames] | no frames]

# Class Monitoring

source code

    object --+
             |
            Monitoring

* Kepp track of the number of times the timeline has been redrawn. * Measure the time it takes to redraw.

Instance Methods
__init__(self, timer=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code
count_timeline_redraw(self) Increment counter. | source code
count_category_redraw(self) Increment counter. | source code
timer_start(self) Start time measurement. | source code
timer_end(self) Stop time measurement. | source code
timer_elapsed_ms(self) return the elapsed time in milliseconds. | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, timer=None) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

### timer_elapsed_ms(self) | source code
return the elapsed time in milliseconds. Decorators: `@property`